<?php
defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');

defined('ADMIN_WS_API_ID') or define('ADMIN_WS_API_ID', basename(dirname(__FILE__)));
include_once(PHPWG_PLUGINS_PATH . ADMIN_WS_API_ID . '/include/install.inc.php');

/**
 * plugin installation
 *
 * perform here all needed step for the plugin installation
 * such as create default config, add database tables, 
 * add fields to existing tables, create local folders...
 */
function plugin_install() 
{
  admin_ws_api_install();
  define('admin_ws_api_installed', true);
}

/**
 * plugin activation
 *
 * this function is triggered after installation, by manual activation
 * or after a plugin update
 * for this last case you must manage updates tasks of your plugin in this function
 */
function plugin_activate()
{
  if (!defined('admin_ws_api_installed')) // a plugin is activated just after its installation
  {
    admin_ws_api_install();
  }
}

/**
 * plugin unactivation
 *
 * triggered before uninstallation or by manual unactivation
 */
function plugin_unactivate()
{
}

/**
 * plugin uninstallation
 *
 * perform here all cleaning tasks when the plugin is removed
 * you should revert all changes made by plugin_install()
 */
function plugin_uninstall() 
{
  global $prefixeTable;
  
  // delete configuration
  pwg_query('DELETE FROM `'. CONFIG_TABLE .'` WHERE param = "admin_ws_api" LIMIT 1;'); 
}

?>